package com.ximai.mes.pro.domain.vo.proWorkOrder;

import com.ximai.mes.pro.domain.proWorkOrder.ProWorkOrderSoSizeItem;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.*;

/**
 * SIZE动态属性
 * @ Author: chicheng.li
 * @ Date  : 2024/3/22
 */
@Data
@ApiOperation("SZIE动态属性")
public class ProWorkOrderSoSizeItemDynamic {

    public static LinkedHashMap<String,String> ALL_COLUMN = new LinkedHashMap<String,String>(){
        {
            put("idx", "序号");
            put("lossNum", "Loss数");
            put("quantity", "数量");
            put("standardSizeType", "标准SIZE类型");
            put("usa", "USA");
            put("uk", "UK");
            put("pus", "RUS");
            put("jan", "JAN");
            put("tha", "THA");
            put("chn", "CHN");
            put("ind", "IND");
            put("kket", "KKET");
            put("us", "US");
            put("eu", "EU");
            put("jp", "JP");
            put("mm", "MM");
            put("bra", "BRA");
            put("eur", "EUR");
            put("cm", "CM");
            put("u", "U");
            put("mx", "MX");
            put("chi", "CHI");
            put("jap", "JAP");
            put("japan", "JAPAN");
            put("mex", "MEX");
            put("metric", "METRIC");
            put("pack", "PACK");
            put("usm", "USM");
            put("usw", "USW");
            put("kx", "KX");
            put("au", "AU");
            put("cn", "CN");
            put("euro", "EURO");
            put("gen", "GEN");
            put("jpnY", "JPN-Y");
            put("jpn", "JPN");
            put("ukm", "UKM");
            put("ukw", "UKW");
            put("eum", "EUM");
            put("euw", "EUW");
            put("japm", "JAPM");
            put("japw", "JAPW");
            put("br", "BR");
            put("usf", "USF");
            put("foot", "FOOT");
            put("shoeInnerLength", "鞋内长");
            put("kor", "KOR");
            put("xx", "XX");
            put("fr", "FR");
            put("mules", "MULES");
            put("s", "S");
            put("xs", "XS");
            put("m", "M");
            put("l", "L");
            put("xl", "XL");
            put("xxl", "XXL");
            put("reFit", "Re-fit");
            put("jpnCm", "JPN(CM)");
            put("cmm", "CMM");
            put("cmw", "CMW");
            put("eurm", "EURM");
            put("eurw", "EURW");
            put("jpm", "JPM");
            put("jpw", "JPW");
            put("eor", "EOR");
            put("mo", "MO");
            put("aus", "AUS");
            put("usl", "USL");
            put("mexCm", "MEX(CM)");
            put("size", "码数");
            put("shoeNum", "鞋号");
            put("cad", "CAD");
            put("mondo", "MONDO");
            put("arg", "ARG");
            put("usws", "US W’S");
            put("ms", "M’S");
            put("footLength", "脚长");
            put("weights", "法码");
            put("shoeShape", "鞋型");
            put("lastShape", "楦型");
            put("ukAuNz", "UK/AU/NZ");
            put("ru", "RU");
            put("unaunz", "UKAUNZ");
            put("ngg", "NGG");
            put("eng", "ENG");
            put("koreaAge", "韩年龄");
            put("us1", "US1");
            put("us2", "US2");
            put("chnEu", "CHN&EU");
            put("cmJp", "CM(JP)");
            put("months", "MONTHS");
            put("cnCm", "CN(cm)");
            put("dps", "DPS");
            put("nbj", "NBJ");
            put("ar", "AR");
            put("por", "POR");
            put("spain", "Spain");
            put("mp", "MP");
            put("ua", "UA");
            put("chnw", "CHNW");
            put("chnm", "CHNM");
            put("usCan", "US/CAN");
            put("type", "TYPE");
            put("usmUsw", "USM/USW");
            put("can", "CAN");
            put("es", "ES");
            put("kr", "KR");
        }
    };

    @ApiModelProperty("动态列")
    LinkedHashMap<String,String> columns=new LinkedHashMap<String,String>();

    @ApiModelProperty("SIZE集合")
    List<ProWorkOrderSoSizeItem> sizeList=new ArrayList<ProWorkOrderSoSizeItem>();


}
